org.richfaces.renderkit.html

## Class Paint2DResource

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.richfaces.renderkit.html.Paint2DResource

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource
  Direct Known Subclasses:
    Paint2DCachedResource

      public class Paint2DResource
      extends org.ajax4jsf.resource.InternetResourceBase

  Resource for create image by managed bean method
  Version:
    $Revision: 1.4 $ $Date: 2007/02/28 10:35:23 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: aizobov $)

- - ### Field Summary

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Paint2DResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
    `java.awt.Dimension` | `getDimensions(javax.faces.context.FacesContext facesContext, java.lang.Object data)` Primary calculation of image dimensions - used when HTML code is generated to render IMG's width and height Subclasses should override this method to provide correct sizes of rendered images
    `protected java.awt.Dimension` | `getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)` Secondary calculation is used basically by getImage method
    `org.ajax4jsf.resource.ResourceRenderer` | `getRenderer()`
    `org.ajax4jsf.resource.ResourceRenderer` | `getRenderer(org.ajax4jsf.resource.ResourceContext context)`
    `boolean` | `isCacheable()`
    `boolean` | `isCacheable(org.ajax4jsf.resource.ResourceContext resourceContext)`
    `boolean` | `requireFacesContext()`
    `void` | `send(org.ajax4jsf.resource.ResourceContext context)`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `deserializeData, encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getResourceAsStream, getUri, isSessionAware, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Paint2DResource

          public Paint2DResource()

  - ### Method Detail

    - #### getRenderer

          public org.ajax4jsf.resource.ResourceRenderer getRenderer()

    - #### getRenderer

          public org.ajax4jsf.resource.ResourceRenderer getRenderer(org.ajax4jsf.resource.ResourceContext context)

      Specified by:
        `getRenderer` in interface `org.ajax4jsf.resource.InternetResource`
      Overrides:
        `getRenderer` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### isCacheable

          public boolean isCacheable()

    - #### isCacheable

          public boolean isCacheable(org.ajax4jsf.resource.ResourceContext resourceContext)

      Specified by:
        `isCacheable` in interface `org.ajax4jsf.resource.InternetResource`
      Overrides:
        `isCacheable` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### requireFacesContext

          public boolean requireFacesContext()

      Specified by:
        `requireFacesContext` in interface `org.ajax4jsf.resource.InternetResource`
      Overrides:
        `requireFacesContext` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### getDataToStore

          protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                        java.lang.Object data)

      Overrides:
        `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### getDimensions

          public java.awt.Dimension getDimensions(javax.faces.context.FacesContext facesContext,
                                         java.lang.Object data)

      Primary calculation of image dimensions - used when HTML code is generated to render IMG's width and height Subclasses should override this method to provide correct sizes of rendered images
      Parameters:
        `facesContext` -
      Returns:
        dimensions of the image to be displayed on page

    - #### getDimensions

          protected java.awt.Dimension getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)

      Secondary calculation is used basically by getImage method
      Parameters:
        `resourceContext` -
      Returns:

    - #### send

          public void send(org.ajax4jsf.resource.ResourceContext context)
                    throws java.io.IOException

      Specified by:
        `send` in interface `org.ajax4jsf.resource.InternetResource`
      Overrides:
        `send` in class `org.ajax4jsf.resource.InternetResourceBase`
      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.